Package org.opensaml.xacml.policy

# Interface AttributeDesignatorType

All Superinterfaces:
  `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Subinterfaces:
  `SubjectAttributeDesignatorType`

All Known Implementing Classes:
  `AttributeDesignatorTypeImpl`, `SubjectAttributeDesignatorTypeImpl`

public interface AttributeDesignatorType extends ExpressionType
XACML AttribtueDesignator schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
Local name of the element ActionAttributeDesignator.
`static final QName`
`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`
QName of the element ActionAttributeDesignator.
`static final String`
`ATTRIBUTE_ID_ATTRIB_NAME`
AttribtueId attribute name.
`static final String`
`DATA_TYPE_ATTRIB_NAME`
DataType attribute name.
`static final String`
`ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
Local name of the element EnvironmentAttribtueDesignator.
`static final QName`
`ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`
QName of the element EnvironmentAttribtueDesignator.
`static final String`
`ISSUER_ATTRIB_NAME`
Issuer attribute name.
`static final String`
`MUST_BE_PRESENT_ATTRIB_NAME`
MustBePresent attribute name.
`static final String`
`RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
Local name of the element ResourceAttributeDesignator.
`static final QName`
`RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`
QName of the element ResourceAttributeDesignator.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.
`static final String`
`SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME`
Local name of the element SubjectAttributeDesignator.
`static final QName`
`SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`
QName of the element SubjectAttributeDesignator.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the designated attribute.
`String`
`getDataType()`
Gets the data type of the designated attribute.
`String`
`getIssuer()`
Gets the issuer of the designated attribute.
`Boolean`
`getMustBePresent()`
Gets whether the designated attribute must be present.
`XSBooleanValue`
`getMustBePresentXSBoolean()`
Gets whether the designated attribute must be present.
`void`
`setAttributeId(String id)`
Sets the ID of the designated attribute.
`void`
`setDataType(String type)`
Sets the data type of the designated attribute.
`void`
`setIssuer(String issuer)`
Sets the issuer of the designated attribute.
`void`
`setMustBePresent(Boolean present)`
Sets whether the designated attribute must be present.
`void`
`setMustBePresentXSBoolean(XSBooleanValue present)`
Sets whether the designated attribute must be present.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME

static final String SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME
Local name of the element SubjectAttributeDesignator.

See Also:
  - Constant Field Values

### SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME

static final QName SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME
QName of the element SubjectAttributeDesignator.

### RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME

static final String RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME
Local name of the element ResourceAttributeDesignator.

See Also:
  - Constant Field Values

### RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME

static final QName RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME
QName of the element ResourceAttributeDesignator.

### ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME

static final String ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME
Local name of the element ActionAttributeDesignator.

See Also:
  - Constant Field Values

### ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME

static final QName ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME
QName of the element ActionAttributeDesignator.

### ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME

static final String ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME
Local name of the element EnvironmentAttribtueDesignator.

See Also:
  - Constant Field Values

### ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME

static final QName ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME
QName of the element EnvironmentAttribtueDesignator.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### ATTRIBUTE_ID_ATTRIB_NAME

static final String ATTRIBUTE_ID_ATTRIB_NAME
AttribtueId attribute name.

See Also:
  - Constant Field Values

### DATA_TYPE_ATTRIB_NAME

static final String DATA_TYPE_ATTRIB_NAME
DataType attribute name.

See Also:
  - Constant Field Values

### ISSUER_ATTRIB_NAME

static final String ISSUER_ATTRIB_NAME
Issuer attribute name.

See Also:
  - Constant Field Values

### MUST_BE_PRESENT_ATTRIB_NAME

static final String MUST_BE_PRESENT_ATTRIB_NAME
MustBePresent attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAttributeId

String getAttributeId()
Gets the ID of the designated attribute.

Returns:
  ID of the designated attribute

### setAttributeId

void setAttributeId(String id)
Sets the ID of the designated attribute.

Parameters:
  `id` - ID of the designated attribute

### getDataType

String getDataType()
Gets the data type of the designated attribute.

Returns:
  data type of the designated attribute

### setDataType

void setDataType(String type)
Sets the data type of the designated attribute.

Parameters:
  `type` - data type of the designated attribute

### getIssuer

String getIssuer()
Gets the issuer of the designated attribute.

Returns:
  issuer of the designated attribute

### setIssuer

void setIssuer(String issuer)
Sets the issuer of the designated attribute.

Parameters:
  `issuer` - issuer of the designated attribute

### getMustBePresentXSBoolean

XSBooleanValue getMustBePresentXSBoolean()
Gets whether the designated attribute must be present.

Returns:
  whether the designated attribute must be present

### setMustBePresentXSBoolean

void setMustBePresentXSBoolean(XSBooleanValue present)
Sets whether the designated attribute must be present.

Parameters:
  `present` - whether the designated attribute must be present

### setMustBePresent

void setMustBePresent(Boolean present)
Sets whether the designated attribute must be present.

Parameters:
  `present` - whether the designated attribute must be present

### getMustBePresent

Boolean getMustBePresent()
Gets whether the designated attribute must be present.

Returns:
  whether the designated attribute must be present